clear
set more off



********************************************************************************
************************google trend data distribution**************************
********************************************************************************
use $data/google.dta, replace


*************graph distribution
graph twoway line trumpclick p1 if country==1, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==2, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==3, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==4, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==5, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==6, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==7, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==8, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==9, lwidth(.2) lcolor(gs10)  lpattern(--) || ///
			 line trumpclick p1 if country==10, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==11, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==12, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==13, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==14, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==15, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==16, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==17, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==18, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==19, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==20, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==21, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==22, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==23, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==24, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==25, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==26, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==27, lwidth(.2) lcolor(gs10) lpattern(--) || ///
			 line trumpclick p1 if country==., lcolor(black) lpattern(solid) lwidth(.7) ///
			 xline(56.5, lcolor(cranberry) lwidth(0.5)) ///
			 legend(off) xtitle("") ytitle("") ///
			 title("B. Relative frequency of searches for 'Donald Trump' (Google Trends)",box bexpand size(small) ) ///
			xscale(range(51(1)62)) xlabel(51  "3rd" 52 "4th" 53 "5th" 54 "6th" 55 "7th" 56 "8th" 57 "9th" 58 "10th" ///
			59"11th" 60 "12th" 61 "13th" 62 "14th", valuelabel labsize(vsmall)) saving($graph\google, replace)

			

************************************************************************************************************
**************************************Eurobarometer distribution********************************************
************************************************************************************************************
clear
use $data/eurobarometer2016, clear

******graph distribution
graph twoway kdensity p1 if country==1, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==2, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==3, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==4, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==5, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==6, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==7, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==8, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==9, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==10, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==11, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==12, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==13, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==14, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==15, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==16, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==17, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==18, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==19, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==20, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==21, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==22, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==23, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==24, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==25, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==26, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==27, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==28, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==29, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==30, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==31, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==32, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==33, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==34, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==35, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==36, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1 if country==37, bwidth(2) lcolor(gs10) lpattern(--) lwidth(.2) || ///
			 kdensity p1, bwidth(2) lcolor(black) lpattern(solid) lwidth(.7) xline(6.5, lcolor(cranberry) lwidth(0.5)) ///
			 legend(off) xtitle("") title("", size(small)) ///
			 ytitle("") xscale(range(1(1)12)) xlabel(1 "3rd" 2 "4th" 3 "5th" 4 "6th" 5 "7th" 6 "8th" 7 "9th" 8 "10th" ///
			 9 "11th" 10 "12th" 11 "13th" 12 "14th", valuelabel labsize(vsmall)) text(.15 4 "N(pre-Trump)=11,778", ///
			  color(cranberry)) text(.15 9 "N(post-Trump)=21,118", color(cranberry)) saving($graph\eb, replace)
			  
			  
			  
**********************************************************************************************************************			  
******************************New York Times Graph********************************************************************
**********************************************************************************************************************
clear
import excel "$data/ChancewinningNew12.09.M.xlsx", sheet("Sheet2") firstrow clear

****prepare data
rename  Valuetimeserieswin_probclinto clinton
lab var clinton "Clinton wins"

rename 	Valuetimeserieswin_probtrumpd trump
lab var trump "Trump wins"


gen str ts = substr(Valuetimeseriestimestamp, 9, 2)+ " " + substr(Valuetimeseriestimestamp, 12, 5) 
gen str first = substr(firstdate, 1, 4) + " " + substr(firstdate, 6, 2) ///
+ " " + substr(firstdate, 9, 2)+ " " + substr(firstdate, 12, 8) 


gen double dt = clock(ts, "D hm")
gen double fir = clock(first, "Y M D hms")
 
replace dt=dt/1000

format dt  %tc
format dt  %50.0f


graph twoway 	line clinton dt if dt>=216000  & dt <=1166400, lwidth(.5) lcolor( gs10) lpattern(--) || ///
				line trump dt if dt>=216000  & dt <=1166400, lwidth(.5) lcolor(black) ///
				legend(pos(3) ring(0) row(2) rowgap(.9) size(vsmall) region(lwidth(none))) ///
				xlabel(216000  "3rd" 302400 "4th" 388800 "5th" 475200 "6th" 561600 "7th" 648000 "8th" 734640 "9th" 820800 "10th" ///
				907200 "11th" 993600 "12th" 1080000 "13th" 1166400 "14th", labsize(vsmall)) xtitle("")  /// 
				title("A. Chance of winning presidency (New York Times)",box bexpand size(small) ) xtitle("") ytitle("") ///
				xline(691380, lcolor(cranberry) lwidth(0.5)) xtitle("") ytitle("") ///
				ysc(r(0(.1)1)) ylabel( `=0' "0" `=.2' "20"  `=.4' "40" ///
				`=.6' "60"   `=.8' "80" `=1' "100") saving($graph\chance, replace)
				
				
 
*****************************************************************************************
******************create Figure 1 and 2**************************************************
*****************************************************************************************

gr combine $graph\chance.gph $graph\google.gph $graph\eb.gph, col(1) ysize(4) xsize(2.7)
gr export $graph\figure1and2.pdf, as(pdf) replace

cd $graph
foreach u in chance google eb{
erase `u'.gph
}


